import { Children, Component, PropTypes } from "react"

export default class Listener extends Component {
  componentDidMount() {
    this.props.target.addEventListener(
      this.props.eventName,
      this.props.callback
    )
  }

  componentWillUnmount() {
    this.props.target.removeEventListener(
      this.props.eventName,
      this.props.callback
    )
  }

  render() {
    if (this.props.children)
      return Children.only(this.props.children)

    return null
  }
}

Listener.propTypes = {
  eventName: PropTypes.string.isRequired,
  callback: PropTypes.func.isRequired,
  target: PropTypes.object.isRequired,
}

Listener.defaultProps = {
  target: document,
}
