var webpack = require("webpack")

var options = {
  entry: "./src/index.js",

  externals: {
    "react": "React"
  },

  filename: "react-listener",

  library: "ReactListener",

  module: {
    loaders: [
      {
        test: /\.js$/,
        exclude: /(node_modules|bower_components)/,
        loader: "babel"
      }
    ]
  }
}

module.exports = [
  {
    externals: options.externals,
    entry: options.entry,
    output: {
      library: options.library,
      libraryTarget: "umd",
      path: __dirname + "/dist",
      filename: options.filename + ".js"
    },
    module: options.module
  },

  {
    externals: options.externals,
    entry: options.entry,
    output: {
      library: options.library,
      libraryTarget: "umd",
      path: __dirname + "/dist",
      filename: options.filename + ".min.js"
    },
    plugins: [
      new webpack.optimize.UglifyJsPlugin({})
    ],
    module: options.module
  },
]
